RoR推送被拒绝给Heroku“无法检测到rake任务”

问题描述 投票:1回答:1

我正在尝试将对Ruby on Rails的Web的某些修改推送到Heroku,但它说“推送被拒绝”。错误出现在“检测耙任务”之后,并且消息如下:

remote:  !     Could not detect rake tasks
remote:  !     ensure you can run `$ bundle exec rake -P` against your app
remote:  !     and using the production group of your Gemfile.
remote:  !     rake aborted!
remote:  !     LoadError: cannot load such file -- sass
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:292:in `require'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:292:in `block in require'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:258:in `load_dependency'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:292:in `require'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/font-awesome-sass-5.0.13/lib/font-awesome-sass.rb:48:in `configure_sass'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/font-awesome-sass-5.0.13/lib/font-awesome-sass.rb:13:in `load!'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/font-awesome-sass-5.0.13/lib/font-awesome-sass.rb:78:in `<top (required)>'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/bundler-1.17.3/lib/bundler/runtime.rb:81:in `require'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/bundler-1.17.3/lib/bundler/runtime.rb:81:in `block (2 levels) in require'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/bundler-1.17.3/lib/bundler/runtime.rb:76:in `each'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/bundler-1.17.3/lib/bundler/runtime.rb:76:in `block in require'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/bundler-1.17.3/lib/bundler/runtime.rb:65:in `each'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/bundler-1.17.3/lib/bundler/runtime.rb:65:in `require'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/bundler-1.17.3/lib/bundler.rb:114:in `require'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/config/application.rb:9:in `<top (required)>'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/Rakefile:6:in `require'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/Rakefile:6:in `<top (required)>'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/lib/rake/rake_module.rb:29:in `load'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/lib/rake/rake_module.rb:29:in `load_rakefile'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/lib/rake/application.rb:703:in `raw_load_rakefile'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/lib/rake/application.rb:104:in `block in load_rakefile'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/lib/rake/application.rb:186:in `standard_exception_handling'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/lib/rake/application.rb:103:in `load_rakefile'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/lib/rake/application.rb:82:in `block in run'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/lib/rake/application.rb:186:in `standard_exception_handling'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/lib/rake/application.rb:80:in `run'
remote:  !     /tmp/build_6bd938d1e4b5daac679d06adc0d16a99/vendor/bundle/ruby/2.3.0/gems/rake-13.0.1/exe/rake:27:in `<top (required)>'
remote:  !     vendor/bundle/bin/rake:29:in `load'
remote:  !     vendor/bundle/bin/rake:29:in `<main>'

以防万一这是我的修改的错,我删除了本地项目,从heroku中克隆了它,只更改了一条注释并试图推送它。但是出现了同样的错误。这很奇怪,因为我的网站在Heroku中可以正常工作,但是如果我尝试上传托管在该网站上的相同代码并可以正常工作,则会出现错误。

正如消息错误所暗示的,我还执行了bundle exec rake -P RAILS_ENV=production,它给出了以下结果,完全没有错误:

rake about
    environment
rake app:template
    environment
rake app:templates:copy
rake app:update
    update:configs
    update:bin
    update:upgrade_guide_info
rake app:update:bin
rake app:update:configs
rake app:update:upgrade_guide_info
rake assets:clean
    environment
rake assets:clobber
    environment
rake assets:environment
rake assets:precompile
    environment
    yarn:install
rake cache_digests:dependencies
    environment
rake cache_digests:nested_dependencies
    environment
rake cloudinary:sync_static
rake db:_dump
rake db:abort_if_pending_migrations
    environment
    load_config
rake db:charset
    environment
    load_config
rake db:check_protected_environments
    environment
    load_config
rake db:collation
    environment
    load_config
rake db:create
    load_config
rake db:create:all
    load_config
rake db:drop
    load_config
    check_protected_environments
rake db:drop:_unsafe
    load_config
rake db:drop:all
    load_config
    check_protected_environments
rake db:environment:set
    environment
    load_config
rake db:fixtures:identify
    environment
    load_config
rake db:fixtures:load
    environment
    load_config
rake db:forward
    environment
    load_config
rake db:load_config
rake db:migrate
    environment
    load_config
rake db:migrate:down
    environment
    load_config
rake db:migrate:redo
    environment
    load_config
rake db:migrate:reset
    db:drop
    db:create
    db:migrate
rake db:migrate:status
    environment
    load_config
rake db:migrate:up
    environment
    load_config
rake db:populate
    environment
rake db:purge
    load_config
    check_protected_environments
rake db:purge:all
    load_config
    check_protected_environments
rake db:reset
    db:drop
    db:setup
rake db:rollback
    environment
    load_config
rake db:schema:cache:clear
    environment
    load_config
rake db:schema:cache:dump
    environment
    load_config
rake db:schema:dump
    environment
    load_config
rake db:schema:load
    environment
    load_config
    check_protected_environments
rake db:schema:load_if_ruby
    db:create
    environment
rake db:seed
rake db:setup
    db:schema:load_if_ruby
    db:structure:load_if_sql
    seed
rake db:structure:dump
    environment
    load_config
rake db:structure:load
    environment
    load_config
    check_protected_environments
rake db:structure:load_if_sql
    db:create
    environment
rake db:test:load
    db:test:purge
rake db:test:load_schema
    db:test:purge
rake db:test:load_structure
    db:test:purge
rake db:test:prepare
    environment
    load_config
rake db:test:purge
    environment
    load_config
    check_protected_environments
rake db:version
    environment
    load_config
rake default
    test
rake dev:cache
rake environment
rake haml:erb2haml
rake initializers
    environment
rake log:clear
rake middleware
    environment
rake notes
rake notes:custom
rake notes:fixme
rake notes:optimize
rake notes:todo
rake paperclip:clean
    environment
rake paperclip:find_broken_attachments
    environment
rake paperclip:refresh
    paperclip:refresh:metadata
    paperclip:refresh:thumbnails
rake paperclip:refresh:fingerprints
    environment
rake paperclip:refresh:metadata
    environment
rake paperclip:refresh:missing_styles
    environment
rake paperclip:refresh:thumbnails
    environment
rake railties:install:migrations
    db:load_config
rake restart
rake routes
    environment
rake secret
rake stats
rake test
rake test:controllers
    test:prepare
rake test:db
    db:test:prepare
    test
rake test:functionals
    test:prepare
rake test:generators
    test:prepare
rake test:helpers
    test:prepare
rake test:integration
    test:prepare
rake test:jobs
    test:prepare
rake test:mailers
    test:prepare
rake test:models
    test:prepare
rake test:prepare
rake test:run
    test
rake test:system
    test:prepare
rake test:units
    test:prepare
rake time:zones
rake time:zones:all
rake time:zones:local
rake time:zones:us
rake tmp
rake tmp/cache
rake tmp/cache/assets
rake tmp/pids
rake tmp/sockets
rake tmp:cache:clear
rake tmp:clear
    tmp:cache:clear
    tmp:sockets:clear
rake tmp:create
    tmp/cache
    tmp/sockets
    tmp/pids
    tmp/cache/assets
rake tmp:pids:clear
rake tmp:sockets:clear
rake users:avisar_entrenadores_suscripcion
    environment
rake users:avisar_rutinas_vacias
    environment
rake users:eliminar_no_confirmados
    environment
rake yarn:install

这是我的Rakefile:

require File.expand_path('../config/application', __FILE__)

KeepMeFit::Application.load_tasks

我的Gemfile:

source 'https://rubygems.org'

ruby '2.3.3'

gem 'rails', '5.1.4'

group :development, :test do
    gem 'sqlite3'
    gem 'activemodel'
    gem 'json'
    gem 'rails_real_favicon'
    gem 'rspec-rails'
    gem 'guard-rspec'
    gem 'rb-notifu'
end

group :production do
    gem 'pg', '~> 0.18'
end

group :test do
    gem 'capybara'
    gem 'factory_girl_rails', '4.1.0'
    gem 'launchy'
end

group :development do
    gem 'annotate'
    gem 'better_errors'
    gem 'binding_of_caller'
    gem 'meta_request'
    gem 'certified', platforms: [:mingw, :mswin, :x64_mingw, :jruby]
end

group :assets do
  gem 'sass-rails'
  gem 'coffee-rails'
  gem 'coffee-script-source', '1.8.0'
  gem 'uglifier', '>= 1.0.3'
end

gem 'jquery-rails'
gem 'jquery-ui-rails'
gem 'bcrypt', '~> 3.1.12', platforms: [:ruby, :x64_mingw, :mingw]
gem 'puma'
gem 'haml'
gem 'haml-rails'
gem 'bootstrap-sass'
require 'rbconfig'
gem 'wdm', '>= 0.1.0' if RbConfig::CONFIG['target_os'] =~ /mswin|mingw/i
gem 'modernizr-rails'
gem 'sprockets-rails', :require => 'sprockets/railtie'
gem 'bootstrap-datepicker-rails'
gem 'tzinfo-data'
gem 'will_paginate', '~> 3.1.0'
gem 'bootstrap-will_paginate'
gem 'friendly_id'
gem 'gon'
gem 'cloudinary'
gem "omniauth-google-oauth2"
gem 'omniauth-facebook'
gem 'omniauth-twitter'
gem 'figaro'
gem 'font-awesome-sass', '~> 5.0.6'
gem 'audited'
gem 'recaptcha', require: 'recaptcha/rails'
gem "chartkick"
gem "select2-rails"
gem 'carrierwave'
gem 'braintree'
gem 'data-confirm-modal'
gem "paperclip", "~> 5.2.1"
gem 'aws-sdk', '< 3.0'
gem "remotipart"
gem 'cookies_eu'
gem 'rails_12factor'
gem 'countries'

还有我的Gemfile.lock:

GEM
  remote: https://rubygems.org/
  specs:
    actioncable (5.1.4)
      actionpack (= 5.1.4)
      nio4r (~> 2.0)
      websocket-driver (~> 0.6.1)
    actionmailer (5.1.4)
      actionpack (= 5.1.4)
      actionview (= 5.1.4)
      activejob (= 5.1.4)
      mail (~> 2.5, >= 2.5.4)
      rails-dom-testing (~> 2.0)
    actionpack (5.1.4)
      actionview (= 5.1.4)
      activesupport (= 5.1.4)
      rack (~> 2.0)
      rack-test (>= 0.6.3)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.0.2)
    actionview (5.1.4)
      activesupport (= 5.1.4)
      builder (~> 3.1)
      erubi (~> 1.4)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.0.3)
    activejob (5.1.4)
      activesupport (= 5.1.4)
      globalid (>= 0.3.6)
    activemodel (5.1.4)
      activesupport (= 5.1.4)
    activerecord (5.1.4)
      activemodel (= 5.1.4)
      activesupport (= 5.1.4)
      arel (~> 8.0)
    activesupport (5.1.4)
      concurrent-ruby (~> 1.0, >= 1.0.2)
      i18n (~> 0.7)
      minitest (~> 5.1)
      tzinfo (~> 1.1)
    addressable (2.5.2)
      public_suffix (>= 2.0.2, < 4.0)
    annotate (2.7.2)
      activerecord (>= 3.2, < 6.0)
      rake (>= 10.4, < 13.0)
    arel (8.0.0)
    audited (4.5.0)
      activerecord (>= 4.0, < 5.2)
    autoprefixer-rails (7.1.6)
      execjs
    aws-sdk (2.11.1)
      aws-sdk-resources (= 2.11.1)
    aws-sdk-core (2.11.1)
      aws-sigv4 (~> 1.0)
      jmespath (~> 1.0)
    aws-sdk-resources (2.11.1)
      aws-sdk-core (= 2.11.1)
    aws-sigv4 (1.0.2)
    aws_cf_signer (0.1.3)
    bcrypt (3.1.12-x86-mingw32)
    better_errors (2.4.0)
      coderay (>= 1.0.0)
      erubi (>= 1.0.0)
      rack (>= 0.9.0)
    binding_of_caller (0.7.3)
      debug_inspector (>= 0.0.1)
    bootstrap-datepicker-rails (1.7.1.1)
      railties (>= 3.0)
    bootstrap-sass (3.3.7)
      autoprefixer-rails (>= 5.2.1)
      sass (>= 3.3.4)
    bootstrap-will_paginate (1.0.0)
      will_paginate
    braintree (2.80.1)
      builder (>= 2.0.0)
    builder (3.2.3)
    callsite (0.0.11)
    capybara (2.15.4)
      addressable
      mini_mime (>= 0.1.3)
      nokogiri (>= 1.3.3)
      rack (>= 1.0.0)
      rack-test (>= 0.5.4)
      xpath (~> 2.0)
    carrierwave (1.2.2)
      activemodel (>= 4.0.0)
      activesupport (>= 4.0.0)
      mime-types (>= 1.16)
    certified (1.0.0)
    chartkick (2.2.5)
    climate_control (0.2.0)
    cloudinary (1.8.1)
      aws_cf_signer
      rest-client
    cocaine (0.5.8)
      climate_control (>= 0.0.3, < 1.0)
    coderay (1.1.2)
    coffee-rails (4.2.2)
      coffee-script (>= 2.2.0)
      railties (>= 4.0.0)
    coffee-script (2.4.1)
      coffee-script-source
      execjs
    coffee-script-source (1.8.0)
    concurrent-ruby (1.0.5)
    cookies_eu (1.7.1)
      js_cookie_rails (~> 2.2.0)
    countries (2.1.4)
      i18n_data (~> 0.8.0)
      money (~> 6.9)
      sixarm_ruby_unaccent (~> 1.1)
      unicode_utils (~> 1.4)
    country_select (3.1.1)
      countries (~> 2.0)
      sort_alphabetical (~> 1.0)
    crass (1.0.2)
    data-confirm-modal (1.6.1)
      railties (>= 3.0)
    debug_inspector (0.0.3)
    diff-lcs (1.3)
    domain_name (0.5.20170404)
      unf (>= 0.0.5, < 1.0.0)
    erubi (1.7.0)
    erubis (2.7.0)
    execjs (2.7.0)
    factory_girl (4.1.0)
      activesupport (>= 3.0.0)
    factory_girl_rails (4.1.0)
      factory_girl (~> 4.1.0)
      railties (>= 3.0.0)
    faraday (0.12.2)
      multipart-post (>= 1.2, < 3)
    ffi (1.9.18-x86-mingw32)
    figaro (1.1.1)
      thor (~> 0.14)
    font-awesome-sass (5.0.6)
      sass (>= 3.2)
    formatador (0.2.5)
    friendly_id (5.2.3)
      activerecord (>= 4.0.0)
    globalid (0.4.1)
      activesupport (>= 4.2.0)
    gon (6.2.0)
      actionpack (>= 3.0)
      multi_json
      request_store (>= 1.0)
    guard (2.14.1)
      formatador (>= 0.2.4)
      listen (>= 2.7, < 4.0)
      lumberjack (~> 1.0)
      nenv (~> 0.1)
      notiffany (~> 0.0)
      pry (>= 0.9.12)
      shellany (~> 0.0)
      thor (>= 0.18.1)
    guard-compat (1.2.1)
    guard-rspec (4.7.3)
      guard (~> 2.1)
      guard-compat (~> 1.1)
      rspec (>= 2.99.0, < 4.0)
    haml (5.0.4)
      temple (>= 0.8.0)
      tilt
    haml-rails (1.0.0)
      actionpack (>= 4.0.1)
      activesupport (>= 4.0.1)
      haml (>= 4.0.6, < 6.0)
      html2haml (>= 1.0.1)
      railties (>= 4.0.1)
    hashie (3.5.6)
    html2haml (2.2.0)
      erubis (~> 2.7.0)
      haml (>= 4.0, < 6)
      nokogiri (>= 1.6.0)
      ruby_parser (~> 3.5)
    http-cookie (1.0.3)
      domain_name (~> 0.5)
    i18n (0.9.0)
      concurrent-ruby (~> 1.0)
    i18n_data (0.8.0)
    jmespath (1.3.1)
    jquery-rails (4.3.1)
      rails-dom-testing (>= 1, < 3)
      railties (>= 4.2.0)
      thor (>= 0.14, < 2.0)
    jquery-ui-rails (6.0.1)
      railties (>= 3.2.16)
    js_cookie_rails (2.2.0)
      railties (>= 3.1)
    json (2.1.0)
    jwt (1.5.6)
    launchy (2.4.3)
      addressable (~> 2.3)
    listen (3.1.5)
      rb-fsevent (~> 0.9, >= 0.9.4)
      rb-inotify (~> 0.9, >= 0.9.7)
      ruby_dep (~> 1.2)
    loofah (2.1.1)
      crass (~> 1.0.2)
      nokogiri (>= 1.5.9)
    lumberjack (1.0.12)
    mail (2.7.0)
      mini_mime (>= 0.1.1)
    meta_request (0.4.3)
      callsite (~> 0.0, >= 0.0.11)
      rack-contrib (>= 1.1, < 3)
      railties (>= 3.0.0, < 5.2.0)
    method_source (0.9.0)
    mime-types (3.1)
      mime-types-data (~> 3.2015)
    mime-types-data (3.2016.0521)
    mimemagic (0.3.2)
    mini_mime (0.1.4)
    mini_portile2 (2.3.0)
    minitest (5.10.3)
    modernizr-rails (2.7.1)
    money (6.13.0)
      i18n (>= 0.6.4, <= 2)
    multi_json (1.12.2)
    multi_xml (0.6.0)
    multipart-post (2.0.0)
    nenv (0.3.0)
    netrc (0.11.0)
    nio4r (2.1.0)
    nokogiri (1.8.1-x86-mingw32)
      mini_portile2 (~> 2.3.0)
    notiffany (0.1.1)
      nenv (~> 0.1)
      shellany (~> 0.0)
    oauth (0.5.4)
    oauth2 (1.4.0)
      faraday (>= 0.8, < 0.13)
      jwt (~> 1.0)
      multi_json (~> 1.3)
      multi_xml (~> 0.5)
      rack (>= 1.2, < 3)
    omniauth (1.7.1)
      hashie (>= 3.4.6, < 3.6.0)
      rack (>= 1.6.2, < 3)
    omniauth-facebook (4.0.0)
      omniauth-oauth2 (~> 1.2)
    omniauth-google-oauth2 (0.2.10)
      addressable (~> 2.3)
      jwt (~> 1.0)
      multi_json (~> 1.3)
      omniauth (>= 1.1.1)
      omniauth-oauth2 (~> 1.3.1)
    omniauth-oauth (1.1.0)
      oauth
      omniauth (~> 1.0)
    omniauth-oauth2 (1.3.1)
      oauth2 (~> 1.0)
      omniauth (~> 1.2)
    omniauth-twitter (1.4.0)
      omniauth-oauth (~> 1.1)
      rack
    paperclip (5.2.1)
      activemodel (>= 4.2.0)
      activesupport (>= 4.2.0)
      cocaine (~> 0.5.5)
      mime-types
      mimemagic (~> 0.3.0)
    pg (0.21.0-x86-mingw32)
    pry (0.11.2)
      coderay (~> 1.1.0)
      method_source (~> 0.9.0)
    public_suffix (3.0.0)
    puma (3.11.0)
    rack (2.0.5)
    rack-contrib (1.2.0)
      rack (>= 0.9.1)
    rack-test (0.7.0)
      rack (>= 1.0, < 3)
    rails (5.1.4)
      actioncable (= 5.1.4)
      actionmailer (= 5.1.4)
      actionpack (= 5.1.4)
      actionview (= 5.1.4)
      activejob (= 5.1.4)
      activemodel (= 5.1.4)
      activerecord (= 5.1.4)
      activesupport (= 5.1.4)
      bundler (>= 1.3.0)
      railties (= 5.1.4)
      sprockets-rails (>= 2.0.0)
    rails-dom-testing (2.0.3)
      activesupport (>= 4.2.0)
      nokogiri (>= 1.6)
    rails-html-sanitizer (1.0.3)
      loofah (~> 2.0)
    rails_12factor (0.0.3)
      rails_serve_static_assets
      rails_stdout_logging
    rails_real_favicon (0.0.7)
      json (>= 1.7, < 3)
      rails (>= 3.1)
      rest-client (~> 2.0)
      rubyzip (~> 1)
    rails_serve_static_assets (0.0.5)
    rails_stdout_logging (0.0.5)
    railties (5.1.4)
      actionpack (= 5.1.4)
      activesupport (= 5.1.4)
      method_source
      rake (>= 0.8.7)
      thor (>= 0.18.1, < 2.0)
    rake (12.2.1)
    rb-fsevent (0.10.2)
    rb-inotify (0.9.10)
      ffi (>= 0.5.0, < 2)
    rb-notifu (0.0.4)
    recaptcha (4.6.2)
      json
    remotipart (1.4.0)
    request_store (1.3.2)
    rest-client (2.0.2-x86-mingw32)
      ffi (~> 1.9)
      http-cookie (>= 1.0.2, < 2.0)
      mime-types (>= 1.16, < 4.0)
      netrc (~> 0.8)
    rspec (3.7.0)
      rspec-core (~> 3.7.0)
      rspec-expectations (~> 3.7.0)
      rspec-mocks (~> 3.7.0)
    rspec-core (3.7.0)
      rspec-support (~> 3.7.0)
    rspec-expectations (3.7.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.7.0)
    rspec-mocks (3.7.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.7.0)
    rspec-rails (3.7.1)
      actionpack (>= 3.0)
      activesupport (>= 3.0)
      railties (>= 3.0)
      rspec-core (~> 3.7.0)
      rspec-expectations (~> 3.7.0)
      rspec-mocks (~> 3.7.0)
      rspec-support (~> 3.7.0)
    rspec-support (3.7.0)
    ruby_dep (1.5.0)
    ruby_parser (3.10.1)
      sexp_processor (~> 4.9)
    rubyzip (1.2.1)
    sass (3.5.3)
      sass-listen (~> 4.0.0)
    sass-listen (4.0.0)
      rb-fsevent (~> 0.9, >= 0.9.4)
      rb-inotify (~> 0.9, >= 0.9.7)
    sass-rails (5.0.6)
      railties (>= 4.0.0, < 6)
      sass (~> 3.1)
      sprockets (>= 2.8, < 4.0)
      sprockets-rails (>= 2.0, < 4.0)
      tilt (>= 1.1, < 3)
    select2-rails (4.0.3)
      thor (~> 0.14)
    sexp_processor (4.10.0)
    shellany (0.0.1)
    sixarm_ruby_unaccent (1.2.0)
    sort_alphabetical (1.1.0)
      unicode_utils (>= 1.2.2)
    sprockets (3.7.2)
      concurrent-ruby (~> 1.0)
      rack (> 1, < 3)
    sprockets-rails (3.2.1)
      actionpack (>= 4.0)
      activesupport (>= 4.0)
      sprockets (>= 3.0.0)
    sqlite3 (1.3.13-x86-mingw32)
    temple (0.8.0)
    thor (0.20.0)
    thread_safe (0.3.6)
    tilt (2.0.8)
    tzinfo (1.2.4)
      thread_safe (~> 0.1)
    tzinfo-data (1.2017.3)
      tzinfo (>= 1.0.0)
    uglifier (3.2.0)
      execjs (>= 0.3.0, < 3)
    unf (0.1.4)
      unf_ext
    unf_ext (0.0.7.4-x86-mingw32)
    unicode_utils (1.4.0)
    wdm (0.1.1)
    websocket-driver (0.6.5)
      websocket-extensions (>= 0.1.0)
    websocket-extensions (0.1.2)
    will_paginate (3.1.6)
    xpath (2.1.0)
      nokogiri (~> 1.3)

PLATFORMS
  x86-mingw32

DEPENDENCIES
  activemodel
  annotate
  audited
  aws-sdk (< 3.0)
  bcrypt (~> 3.1.12)
  better_errors
  binding_of_caller
  bootstrap-datepicker-rails
  bootstrap-sass
  bootstrap-will_paginate
  braintree
  capybara
  carrierwave
  certified
  chartkick
  cloudinary
  coffee-rails
  coffee-script-source (= 1.8.0)
  cookies_eu
  countries
  country_select (~> 3.1)
  data-confirm-modal
  factory_girl_rails (= 4.1.0)
  figaro
  font-awesome-sass (~> 5.0.6)
  friendly_id
  gon
  guard-rspec
  haml
  haml-rails
  jquery-rails
  jquery-ui-rails
  json
  launchy
  meta_request
  modernizr-rails
  omniauth-facebook
  omniauth-google-oauth2
  omniauth-twitter
  paperclip (~> 5.2.1)
  pg (~> 0.18)
  puma
  rails (= 5.1.4)
  rails_12factor
  rails_real_favicon
  rb-notifu
  recaptcha
  remotipart
  rspec-rails
  sass-rails
  select2-rails
  sprockets-rails
  sqlite3
  tzinfo-data
  uglifier (>= 1.0.3)
  wdm (>= 0.1.0)
  will_paginate (~> 3.1.0)

RUBY VERSION
   ruby 2.3.3p222

BUNDLED WITH
   1.16.1
ruby-on-rails git heroku sass rubygems
1个回答
0
投票

[这可能是stylesheet_link_tagstylesheet_pack_tag的错误,请检查您的布局文件,可能您包含sass文件并且您正在使用stylesheet_link_tag,这破坏了代码,因为据我了解,您可以链接平面css文件。因此,如果要包含sass文件,请使用stylesheet_pack_tag


推荐问答